# Generated by Django 2.2.6 on 2024-08-28 18:21

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('transcribe', '0018_point_fks_to_user'),
    ]

    operations = [
        migrations.DeleteModel(name='TranscribeUser'),
        migrations.CreateModel(
            name='TranscribeUser',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'user',
                    models.OneToOneField(
                        on_delete=models.deletion.CASCADE,
                        related_name='transcribe_user',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                'verbose_name': 'Transcribe user',
                'verbose_name_plural': 'Transcribe users',
                'ordering': ['user__last_name', 'user__first_name'],
            },
        ),
    ]
